> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Delete User Domain

DELETE https://agentverse.ai/v2/users/domains/{domain_name}

Delete a domain registration.

The domain must be owned by the authenticated user. If the domain is in
PENDING or CHECKING status, deletion is not allowed. If the domain is
REGISTERED, it will be marked as DELETING and a background worker will
remove it from the smart contract. FAILED domains are deleted immediately.

Reference: https://docs.agentverse.ai/api-reference/users/delete-user-domain

## Request

### Path parameters

- `domain_name` (string, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**SDK Code**

```python deleteUserDomainExample
import requests

url = "https://agentverse.ai/v2/users/domains/domain_name"

response = requests.delete(url)

print(response.json())
```

```javascript deleteUserDomainExample
const url = 'https://agentverse.ai/v2/users/domains/domain_name';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go deleteUserDomainExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v2/users/domains/domain_name"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby deleteUserDomainExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v2/users/domains/domain_name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java deleteUserDomainExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://agentverse.ai/v2/users/domains/domain_name")
  .asString();
```

```php deleteUserDomainExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://agentverse.ai/v2/users/domains/domain_name');

echo $response->getBody();
```

```csharp deleteUserDomainExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v2/users/domains/domain_name");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift deleteUserDomainExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v2/users/domains/domain_name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```